import { DataManagementPlanWizardComponent } from './wizard/dmp-wizard.component';
import { DataManagementPlanEditorComponent } from './editor/dmp-editor.component';
import { DataManagementPlanListingComponent } from './listing/dmp-listing.component';
import { DatasetListingComponent } from '../datasets/listing/dataset-listing.component';
import { RouterModule, Routes } from '@angular/router';
import { InvitationAcceptedComponent } from '../shared/components/invitation-accepted/invitation-accepted.component';

export const DataManagementPlanRoutes: Routes = [
  { path: '', component: DataManagementPlanListingComponent },
  { path: 'viewversions/:groupId', component: DataManagementPlanListingComponent },
  { path: 'project/:projectId', component: DataManagementPlanListingComponent },
  { path: 'edit/:id', component: DataManagementPlanEditorComponent },
  { path: 'new', component: DataManagementPlanEditorComponent },
  { path: 'new_version/:id', component: DataManagementPlanWizardComponent, data: { clone: false } },
  { path: 'clone/:id', component: DataManagementPlanWizardComponent, data: { clone: true } },
  { path: "invitation/:id", component: InvitationAcceptedComponent }
];
